## gtk3-tqt-engine-trinity 14.0.4

=== debian/changelog ===
gtk3-tqt-engine-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:05:10 +0200

gtk3-tqt-engine-trinity (0.5-0ubuntu0) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

## gtk3-tqt-engine-trinity 14.1.5

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( gtk3-tqt-engine )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )

#### include our cmake modules

include( TDEMacros )
enable_testing( )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_TESTS        "Build test programs" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( rc )
add_subdirectory( tdegtk )
tde_conditional_add_subdirectory( BUILD_TESTS tests )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== tests/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/tdegtk
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CAIRO_INCLUDE_DIRS}
  ${GTK3_INCLUDE_DIRS}
  ${PANGO_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
  ${CAIRO_LIBRARY_DIRS}
  ${GTK3_LIBRARY_DIRS}
  ${PANGO_LIBRARY_DIRS}
)


##### test-widgets (executable)

tde_add_check_executable( test-widgets AUTOMOC

  SOURCES
    test-widgets.c

  LINK
    ${CAIRO_LIBRARIES}
    ${GTK3_LIBRARIES}
)


##### test-painter (executable)

tde_add_check_executable( test-painter AUTOMOC

  SOURCES
    test-painter.cpp

  LINK
    tqtcairo-shared
    tdeui-shared
    ${CAIRO_LIBRARIES}
    ${GTK3_LIBRARIES}
)

## gtk3-tqt-engine-trinity 14.0.5

=== debian/changelog ===
gtk3-tqt-engine-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:01:39 +0200

=== debian/control ===
Source: gtk3-tqt-engine-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Raphaël Pinson <raphink@raphink.net>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, libcairo2-dev, libgtk-3-dev, libpango1.0-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: gtk3-tqt-engine-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GTK3 theme engine for TDE
 GTK3 style engine which uses the active TDE style to draw its widgets

## gtk3-tqt-engine-trinity 14.0.6

=== debian/changelog ===
gtk3-tqt-engine-trinity (4:14.0.6-0ubuntu17.10.0+0) artful; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 10 Mar 2019 18:50:10 +0100

## gtk3-tqt-engine-trinity 14.0.8

=== debian/changelog ===
gtk3-tqt-engine-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:44:25 +0200

## gtk3-tqt-engine-trinity 14.0.9

=== debian/changelog ===
gtk3-tqt-engine-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:00:39 +0200

## gtk3-tqt-engine-trinity 14.0.10

=== debian/changelog ===
gtk3-tqt-engine-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## gtk3-tqt-engine-trinity 14.0.11

=== debian/changelog ===
gtk3-tqt-engine-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#gtk3-tqt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 11 Oct 2021 02:39:33 +0200

## gtk3-tqt-engine-trinity 14.0.12

=== debian/changelog ===
gtk3-tqt-engine-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#gtk3-tqt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Jan 2022 10:29:03 +0100

## gtk3-tqt-engine-trinity 14.0.13

=== debian/changelog ===
gtk3-tqt-engine-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#gtk3-tqt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 16 Jul 2022 01:20:53 +0200

## gtk3-tqt-engine-trinity 14.1.0

=== debian/changelog ===
gtk3-tqt-engine-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#gtk3-tqt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 19 Feb 2023 04:21:37 +0100

## gtk3-tqt-engine-trinity 14.1.1

=== debian/changelog ===
gtk3-tqt-engine-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#gtk3-tqt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 14 Sep 2023 03:49:55 +0200

## gtk3-tqt-engine-trinity 14.1.2

=== debian/changelog ===
gtk3-tqt-engine-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#gtk3-tqt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 07 Apr 2024 11:36:10 +0200

## gtk3-tqt-engine-trinity 14.1.3

=== debian/changelog ===
gtk3-tqt-engine-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#gtk3-tqt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:46:16 +0200

## gtk3-tqt-engine-trinity 14.1.4

=== debian/changelog ===
gtk3-tqt-engine-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#gtk3-tqt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## gtk3-tqt-engine-trinity 14.1.5~pre0

=== debian/changelog ===
gtk3-tqt-engine-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for fb7b54fde68233cc60998176c06737b4a80d5dd8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#gtk3-tqt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## gtk3-tqt-engine-trinity 14.1.5

=== debian/changelog ===
gtk3-tqt-engine-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#gtk3-tqt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## gtk3-tqt-engine-trinity 14.1.6~pre0

=== debian/changelog ===
gtk3-tqt-engine-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for fb7b54fde68233cc60998176c06737b4a80d5dd8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#gtk3-tqt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## gtk3-tqt-engine-trinity 14.1.6~pre1

=== debian/changelog ===
gtk3-tqt-engine-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 6680143d392eebaa2445f754821b44f7c0ac03c5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#gtk3-tqt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:14:28 +0100

## gtk3-tqt-engine-trinity 14.2.0~pre11

=== debian/changelog ===
gtk3-tqt-engine-trinity (4:14.2.0~pre11-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for cf5326589a1c4d0b795ed0e91c837ab7dcc9f783
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#gtk3-tqt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## gtk3-tqt-engine-trinity 14.2.0~pre12

=== debian/changelog ===
gtk3-tqt-engine-trinity (4:14.2.0~pre12-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for bfecbbc846e4a83351490637da77bc25b776daa0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#gtk3-tqt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:10:44 +0100
